Bug 1462839 - gnome-shell crashes regularly
gnome-shell crashes regularly
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 12:43 EDT by Thomas Vollstädt
Modified: 2018-05-03 04:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace of latest crash (11.87 KB, text/plain)
2017-06-19 12:43 EDT, Thomas Vollstädt
no flags Details
Stacktrace of second last crash (2.54 KB, text/plain)
2017-06-19 13:00 EDT, Thomas Vollstädt
no flags Details
Stacktrace Tue 2017-06-20 12:49:45 CEST (9.40 KB, text/plain)
2017-06-20 08:20 EDT, Thomas Vollstädt
no flags Details
Stacktrace Tue 2017-06-20 19:23:48 CEST (4.35 KB, text/plain)
2017-06-20 13:27 EDT, Thomas Vollstädt
no flags Details
Stacktrace Mon 2017-06-26 14:57:51 CEST (3.44 KB, text/plain)
2017-06-26 09:04 EDT, Thomas Vollstädt
no flags Details
Stacktrace Thu 2017-07-06 14:37:41 CEST (9.11 KB, text/plain)
2017-07-06 08:41 EDT, Thomas Vollstädt
no flags Details

  None (edit)
Description Thomas Vollstädt 2017-06-19 12:43:04 EDT
Created attachment 1289153 [details]
Stacktrace of latest crash

Description of problem:

Follow-up from bug 1442631.

My gnome-shell crashes at least two times a day. When a crash occurs, I find myself back to GDM and need to re-login. All open applications and files are lost.

The crashes are unreproducible, seems to happen randomly. Output of coredumpctl:
...
Sun 2017-06-11 00:39:07 CEST   5716  1000  1000  11 missing   /usr/bin/gnome-shell
Sun 2017-06-11 17:16:01 CEST  23927  1000  1000   6 missing   /usr/bin/gnome-shell
Mon 2017-06-12 10:15:05 CEST  14471  1000  1000   6 missing   /usr/bin/gnome-shell
Mon 2017-06-12 11:14:09 CEST   3457  1000  1000   6 missing   /usr/bin/gnome-shell
Mon 2017-06-12 18:39:01 CEST   1530  1000  1000   8 missing   /usr/bin/gnome-shell
Mon 2017-06-12 22:04:12 CEST   4574  1000  1000   6 missing   /usr/bin/gnome-shell
Tue 2017-06-13 04:37:35 CEST  11645  1000  1000   6 missing   /usr/bin/gnome-shell
Tue 2017-06-13 08:29:27 CEST  29929  1000  1000   6 missing   /usr/bin/gnome-shell
Tue 2017-06-13 11:20:15 CEST   1608  1000  1000   6 missing   /usr/bin/gnome-shell
Tue 2017-06-13 15:33:21 CEST   5134  1000  1000  11 missing   /usr/bin/gnome-shell
Wed 2017-06-14 00:40:06 CEST   1572  1000  1000  11 missing   /usr/bin/gnome-shell
Wed 2017-06-14 11:30:41 CEST   1690  1000  1000   6 missing   /usr/bin/gnome-shell
Thu 2017-06-15 11:49:37 CEST   1606  1000  1000  11 missing   /usr/bin/gnome-shell
Thu 2017-06-15 22:23:39 CEST   1045  1000  1000  11 missing   /usr/bin/gnome-shell
Fri 2017-06-16 02:19:35 CEST   7901  1000  1000  11 missing   /usr/bin/gnome-shell
Fri 2017-06-16 18:42:13 CEST  30692  1000  1000   6 present   /usr/bin/gnome-shell
Sat 2017-06-17 22:13:06 CEST   4154  1000  1000  11 present   /usr/bin/gnome-shell
Mon 2017-06-19 01:30:17 CEST  13914  1000  1000   6 present   /usr/bin/gnome-shell
Mon 2017-06-19 18:14:32 CEST   1591  1000  1000  11 present   /usr/bin/gnome-shell

It feels like it always happens after a specific amount of time. It can always tell like "soon it should crash", so I'm pretty sure it has no correlation with used software and/or what I'm doing when this happens.

Latest crash: 10 Minutes ago
Stacktrace: Attached to bug.
What I was doing: Moving a window from my third to the second monitor.

Version-Release number of selected component (if applicable):
gnome-shell.x86_64                                                 3.24.2-1.fc26       
kernel.x86_64                                                      4.11.3-302.fc26    
mutter.x86_64                                                      3.24.2-1.fc26

How reproducible:
Not reproducible.

Steps to Reproduce:
1. Boot up machine
2. Work/wait around 6-12 hours

Actual results:
Gnome shell crashes with all open applications.

Expected results:
Stable shell which doesn't crash.


Additional info:

Thinkpad X1 Yoga with Intel HD 520 (Skylake).
Most of the time docked to a OneLink+ dock, but issue happens exactly without being docked (like since the last 3 days).
Comment 1 Thomas Vollstädt 2017-06-19 13:00 EDT
Created attachment 1289158 [details]
Stacktrace of second last crash

Attached the stacktrace of the second latest crash. Interestingly there is no occurence of mutter this time.

If you need a core dump, let me know.
Comment 2 Florian Müllner 2017-06-19 15:33:06 EDT
The second issue is likely https://bugzilla.gnome.org/show_bug.cgi?id=781799, which should be fixed in the latest gjs build.

The first looks like a crash when getting a window's monitor index when the window has no associated monitor (which should really only happen when running without any monitors, which is currently not supported)
Comment 3 Thomas Vollstädt 2017-06-20 08:20 EDT
Created attachment 1289629 [details]
Stacktrace Tue 2017-06-20 12:49:45 CEST
Comment 4 Thomas Vollstädt 2017-06-20 08:21:02 EDT
Thanks Florian, so it seems there are different issues which cause a crash? I've updated gjs, lets see if it helps.

My last crash about an hour ago happened when I clicked on the clock/notification bar. It appears, but 1-2 seconds afterwards, gnome crashes.

Stacktrace attached.
Comment 5 Thomas Vollstädt 2017-06-20 13:27 EDT
Created attachment 1289758 [details]
Stacktrace Tue 2017-06-20 19:23:48 CEST

This one made me lose my work of the last hour :-(
Comment 6 Thomas Vollstädt 2017-06-26 09:04 EDT
Created attachment 1291974 [details]
Stacktrace Mon 2017-06-26 14:57:51 CEST

After updating gjs, the crashes seem to happen much less often. But they still happen, today was the first crash since 3 days. Stacktrace attached,
Comment 7 Thomas Vollstädt 2017-07-06 08:41 EDT
Created attachment 1294929 [details]
Stacktrace Thu 2017-07-06 14:37:41 CEST

Shell still crashes once a day. Latest crash occured when waking up a saved VirtualBox VM instance.
Comment 8 Fedora End Of Life 2018-05-03 04:11:19 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.